Get export status and result
curl --request GET \
--url https://api.social-api.ai/v1/exports/{id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/exports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/exports/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"account_id": "<string>",
"completed_at": "<string>",
"created_at": "<string>",
"error": "<string>",
"expires_at": "<string>",
"id": "<string>",
"platform": "<string>",
"processed_videos": 123,
"result": {
"excel_url": "<string>",
"report_url": "<string>"
},
"status": "<string>",
"total_videos": 123
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Exports
Get export status and result
Returns the current status, progress, result download URL (presigned Excel), and report URL for an export job.
GET
/
exports
/
{id}
Get export status and result
curl --request GET \
--url https://api.social-api.ai/v1/exports/{id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.social-api.ai/v1/exports/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.social-api.ai/v1/exports/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"account_id": "<string>",
"completed_at": "<string>",
"created_at": "<string>",
"error": "<string>",
"expires_at": "<string>",
"id": "<string>",
"platform": "<string>",
"processed_videos": 123,
"result": {
"excel_url": "<string>",
"report_url": "<string>"
},
"status": "<string>",
"total_videos": 123
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}{
"error": {
"code": "resource.not_found",
"message": "Account not found",
"meta": {}
}
}Authorizations
Prefix your API key with "Bearer ". Example: Authorization: Bearer sapi_key_...
Path Parameters
Export ID